# pydicom.fileset.is_conformant_file_id

pydicom.fileset.is_conformant_file_id(path: Path) → bool

  Return `True` if path is a conformant File ID.

  Conformance

  - No more than 8 components (parts) in the path

  - No more than 8 characters per component

  - Characters in a component must be ASCII

  - Valid characters in a component are 0-9, A-Z and _

  Parameters:

    path (pathlib.Path) – The path to check, relative to the File-set root directory.

  Returns:

    `True` if path is conformant, `False` otherwise.

  Return type:

    bool